#!/usr/bin/perl
# config_save.cgi
# Save inputs from config.cgi
use strict;
use vars qw( %text %access %in %config %apcupsd_conf $module_name);

require './apcupsd-lib.pl';

%access=&get_module_acl();
if(!$access{'can_edit_config'}) {
  &error($text{'csave_econfig'});
  exit(102);
  }
	   
&ReadParse();

&read_config($config{"apcupsd_conf_file"});

`cp $config{'apcupsd_conf_file'} $config{'apcupsd_conf_file'}.bak`;
my $param;
foreach $param (keys %in) {
	&modify_param($config{'apcupsd_conf_file'}, 
				  $param, 
				  $apcupsd_conf{$param}, 
				  $in{$param}) if ($apcupsd_conf{$param} ne $in{$param});
	}

&restart_service("apcd");

&redirect("/$module_name");

